VMTKCENTERLINESMOOTHING(1)

NAME
vmtkcenterlinesmoothing - vmtk script vmtkcenterlinesmoothing

DESCRIPTION
Automatic piping vmtkcenterlinesmoothing Parsing options vmtkcenterlinesmoothing

vmtkcenterlinesmoothing : smooth centerlines with a moving average

    filter

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-iterations NumberOfSmoothingIterations (int,1) >= 0; default=100

-factor SmoothingFactor (float,1) >= 0.0; default=0.1

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output centerlines